"use strict";
this.name = "phkb_moraymed_conditions_script";
this.author = "phkb";
this.copyright = "2021 phkb";
this.license = "CC BY-NC-SA 4.0";

this.allowOfferShip = function(shipKey) {
    // only offer certain styles/colours on a regular basis
    var keys = {
        0: [1,3,5,7,9,11,13],
        1: [2,4,6,8,10,12,14],
    }
    var week = parseInt(clock.daysComponent / 7) % 4;  // will be 0-3
    var period = parseInt(clock.daysComponent / 30) % 2;  // will be 0-1
    var keylist = keys[period];
    var avail = [];
    switch (week) {
        case 0: 
            avail.push(keylist[2]);
            avail.push(keylist[6]);
            break;
        case 1:
            avail.push(keylist[5]);
            avail.push(keylist[1]);
            break;
        case 2:
            avail.push(keylist[4]);
            avail.push(keylist[0]);
            break;
        case 3:
            avail.push(keylist[3]);
            break;
    }
    for (var i = 0; i < avail.length; i++) {
        if ((shipKey + "E").indexOf("_" + avail[i] + "E") >= 0) return true;
    }
    return false;
}